﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Documents.RichText;
using Infragistics.Documents.RichText.Serialization;
using Infragistics.Documents.RichText.Word;
using Infragistics.Documents.RichText.Rtf;

namespace RTE_Sample
{
    /// <summary>
    /// Interaction logic for RTEControl.xaml
    /// </summary>
    public partial class RTEControl : UserControl
    {
        string errors = string.Empty;

        public RTEControl()
        {
            InitializeComponent();
        }

        private void RTE_Loaded_1(object sender, RoutedEventArgs e)
        {
            var table = this.RTE.Document.InsertTable(0, 3, 5, out errors);
            table.Settings = new TableSettings();

            table.Rows[0].Cells[0].Settings = new TableCellSettings
            {
                ColumnSpan = 2,
                FitText = true,
                Shading = new Shading(new ColorInfo(Colors.Orange)),
                VerticalAlignment = TableCellVerticalAlignment.Center,
                VerticalMerge = TableCellVerticalMerge.Restart,
                Wrap = false,
            };
            table.Rows[0].Cells[1].Settings = new TableCellSettings
            {
                Shading = new Shading(new ColorInfo(Colors.Orange)),
                VerticalAlignment = TableCellVerticalAlignment.Center,
                VerticalMerge = TableCellVerticalMerge.Restart,
                Wrap = false,
            };
            table.Rows[0].ChildNodes.RemoveAt(2);
            
            var paragraphs = this.RTE.Document.GetParagraphs(DocumentSpan.All).ToList();
            int paragraphsCount = paragraphs.Count;
            paragraphs[0].SetText("Column 1");
            paragraphs[1].SetText("Column 2");

            foreach (var p in paragraphs)
            {
                int index = paragraphs.IndexOf(p);
                if (index < 2 || index > 10)
                    continue;
                else
                {
                    int row = (int)((index - 1) / 4) + 1;
                    int col = (index - 2) % 3;
                    p.SetText(string.Format("Row {0} Column {1}", row, col));
                }
            }

        }
        private void Button_Click_1(object sender, RoutedEventArgs e)
        {
        }

        private void Button_Click_2(object sender, RoutedEventArgs e)
        {
        }
    }
}
